import type { Page } from '@sveltejs/kit';
import type { Readable } from 'svelte/store';
/**
 * Setup session sync.
 * Sends the session to the server when it´s retrieved from a browser only authentication method
 * and calls `invalidateAll()` when the accessToken is about to expire to get the updated session from the server.
 */
export declare function startSupabaseSessionSync({ page, handleRefresh }: {
    page: Readable<Page>;
    handleRefresh: () => void;
}): void;
