import type { Handle, RequestEvent } from '@sveltejs/kit';
/**
 * A `RequestHandler` that receives the client session and saves it in cookies.
 *
 * @example
 * // src/routes/api/auth/callback/+server.js
 * export const POST = handleCallbackSession;
 */
export declare function handleCallbackSession({ cookies, request }: RequestEvent): Promise<Response>;
/**
 * Creates the callback endpoint that receives the client session and saves it in cookies.
 *
 * If you prefer defining the endpoint in a file use `handleCallbackSession` instead
 *
 * @example
 * // src/hooks.server.ts
 * export const handle = callback();
 * export const handle = sequence(callback(), ...);
 */
export declare function callback(): Handle;
